Glue Up API
User CollectionEvent Collection
Subscription CollectionMembership CollectionFinance Collection
User CollectionEvent Collection
Subscription CollectionMembership CollectionFinance Collection
  1. Event Collection
  • Retrieve the Event List
    POST
  • Retrieve the Event List by Status
    POST
  • Retrieve the User Events
    POST
  • Retrieve the Attendee Form List
    POST
  • Retrieve the Attendee Form By Id
    GET
  • Retrieve the Attendee Form Fields
    GET
  • Retrieve the Attendee List
    POST
  1. Event Collection

Retrieve the User Events

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
POST
/my/event/attendee
Retrieve the list of events that the current user registered. Requires to have an active session. This endpoint will return a list of Event Model.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
User event list returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/my/event/attendee' \
--header 'a;' \
--header 'token;' \
--header 'Content-Type: application/json' \
--data '{
    "projection": [],
    "limit": 20,
    "offset": 0,
    "filter": [
        {
            "projection": "organization.id",
            "operator": "eq",
            "values": [
                2040
            ]
        }
    ],
    "order": {
        "status": "asc"
    }
}'
Response Response Example
[
    {
        "id": 7674,
        "organization": {
            "id": 2040,
            "name": "OpenAPIIntegration"
        },
        "title": "Summer Party",
        "startDateTime": 1563465601000,
        "endDateTime": 1564243201000,
        "venueInfo": {
            "cityName": "Beijing",
            "country": {
                "code": "CN",
                "name": "China"
            },
            "map": {}
        },
        "isArchive": false,
        "published": true
    }
]
Modified at 2026-06-11 06:40:13
Previous
Retrieve the Event List by Status
Next
Retrieve the Attendee Form List
Built with